/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

.modal {
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    // height: 100vh;
    // background-color: var(--white);
    max-width: 90%;
    margin: auto;
    max-height: 90vh;
    background-color: #0C0841;
    z-index: 9999;
    overflow: hidden;
    border: rem(1) solid var(--border-color);
    box-shadow: -40px 0px 138px 0px #00000014 inset;
    border-radius: rem(30);

    &-mask {
        position: fixed;
        z-index: 9;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(5, 2, 44, 0.9);
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
    }

    &-wrapper {
        position: relative;
        width: 100%;
        height: 100%;
        z-index: 10;
        display: flex;
        flex-wrap: nowrap;
    }

    .close-btn {
        position: absolute;
        right: rem(16);
        top: rem(16);

        cursor: pointer;
        z-index: 11;

        i {
            font-size: rem(14);
        }

    }

    &-sidebar {

        min-height: 100%;
        width: rem(280);
        padding: rem(40) rem(16);
        // background-color: var(--cards-folder-background);
        background-color: var(--back-color);
        display: flex;
        justify-content: space-between;
        flex-direction: column;
        gap: rem(30);
        height: max-content;
        position: sticky;
        border-right: rem(1) solid var(--border-color);

        h2 {
            font-family: $font;
            font-weight: 300;
            font-size: rem(32);
            margin-bottom: rem(100);
            color: var(--color-default-2);
            line-height: 1.2em;
        }


        nav {

            ul {

                li {

                    margin-bottom: rem(8);
                    position: relative;
                    --black: #A8A8A8;

                    &.active {
                        opacity: 1;
                        // --black: #000;

                        span {
                            color: var(--white);
                            background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
                        }

                    }

                    // &::after {
                    //     content: "";
                    //     position: absolute;
                    //     height: rem(18);
                    //     width: rem(1);
                    //     background-color: var(--black);
                    //     left: rem(15);
                    //     top: 0;
                    //     transform: translateY(-100%);
                    // }

                    &:first-child {
                        &::after {
                            display: none;
                        }
                    }

                    &:last-child {
                        margin-bottom: 0;
                    }

                    a, div {

                        display: flex;
                        text-decoration: none;
                        line-height: rem(32);
                        line-height: rem(32);
                        color: var(--color-default-2);
                        font-size: rem(14);
                        font-family: $font;
                        font-weight: 500;
                        align-items: center;
                        gap: rem(8);
                        pointer-events: none;

                        span {
                            height: rem(48);
                            width: rem(48);
                            border-radius: 100%;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            font-size: rem(16);
                            color: var(--color-default-2);
                            background: transparent;
                            border: 1px solid var(--color-default-2);
                        }

                    }
                }

            }

        }

        .info.user {
            margin-bottom: rem(32);

            padding-top: rem(32);
            padding-bottom: rem(32);

            border-bottom: rem(1) solid var(--border-color);
            border-top: rem(1) solid var(--border-color);

        }

    }

    &-content {
        padding: rem(40) rem(95);
        width: calc(100% - rem(280));
        height: 100%;
        overflow-y: auto;

        &::-webkit-scrollbar {
            width: rem(6);
        }

        &::-webkit-scrollbar-track {
            box-shadow: inset 0 0 6px rgba(36, 31, 98, 0.6);
        }

        &::-webkit-scrollbar-thumb {
            background-color: var(--color-default-2);
        }

        

        .step {
            display: flex;
            flex-direction: column;
            position: relative;

            &::before {
                position: absolute;
                content: "";
                top: rem(98);
                left: 0;
                right: 0;
                bottom: 0;
                background: #4C42CB;
                opacity: 0.4;
                filter: blur(150px);
                width: 786px;
                height: 786px;
                margin: 0 auto;
                z-index: -1;
            }
            // gap: rem(70);

            &-lower-gap {
                gap: rem(50);
            }

            .method-area {
                width: 100%;
                position: relative;
                margin: rem(56) 0;
            }

        }

        .title {

            padding-left: rem(72);
            position: relative;
            margin-bottom: rem(110);

            .step-number {
                height: rem(48);
                width: rem(48);
                border-radius: 100%;
                display: flex;
                align-items: center;
                justify-content: center;
                font-size: rem(16);
                color: var(--white);
                background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
                border: 1px solid var(--color-default-2);
                position: absolute;
                top: 0;
                left: 0;

            }

            h2 {
                font-size: rem(24);
                line-height: 1.2em;
                margin-bottom: rem(23);
                color: var(--white);
                font-family: $font;
                font-weight: 300;
                padding: rem(10) rem(0);
            }

            p {
                font-size: rem(13);
                line-height: 1.6em;
                color: var(--color-default-1);
            }

        }

        .big-title{
            
            font-family: $font;
            font-weight: 300;
            font-size: 40px;
            line-height: 56px;
            margin-bottom: 56px;

            &-text{
                background: linear-gradient(90deg, #ABA7EE 0%, #FFFFFF 50%, #ABA7EE 100%);
                -webkit-background-clip: text;
                -webkit-text-fill-color: transparent;
            }
        }

        .boxs-wrapper {

            display: flex;
            flex-wrap: wrap;
            gap: rem(24);

            .box-buttons {
                display: flex;
                flex-wrap: wrap;
                gap: rem(8);
                width: 100%;

                &.upload-file {
                    position: relative;

                    input[type="file"] {
                        position: absolute;
                        top: 0;
                        left: 0;
                        width: 100%;
                        height: 100%;
                        opacity: 0;
                        cursor: pointer !important;
                        z-index: 1;

                        &:focus + label {
                            border-color: var(--color-default-1);
                        }

                    }

                }

            }

            .box {

                // aspect-ratio: 1/1;
                // width: rem(160);
                width: 100%;
                height: rem(240);
                // height: rem(160);
                display: flex;
                align-items: center;
                justify-content: center;
                border-radius: rem(16);
                gap: rem(25);
                flex-direction: column;
                text-decoration: none;
                text-align: center;
                border: 1px solid rgba(133, 127, 228, 0.4);

                &.uploaded-files,
                &:hover {
                    border: 1px solid rgba(133, 127, 228, 0.4);
                }

                i {
                    width: rem(24);
                    height: rem(24);
                    font-size: rem(20);
                    color: var(--black);
                    line-height: rem(24);
                    text-align: center;
                    display: block;
                    color: var(--color-default-1);
                }

                .text {
                    font-size: rem(14);
                    font-family: $font;
                    min-height: 2.4em;
                    // line-height: 1.2em;
                    font-weight: 500;
                    display: flex;
                    align-items: center;
                    width: 100%;
                    justify-content: center;
                    gap: rem(8);
                    color: var(--color-default-1);

                    .extension {
                        display: block;
                        opacity: 0.5;
                    }

                }

            }
        }

        .large-input {


            input[type=text] {
                outline: 0;
                color: var(--white);
                border-color: var(--color-default-2);
                background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
                box-shadow: 0px 8px 16px 0px #7090B01F;
                border-radius: rem(50);
                min-height: rem(76);
                line-height: rem(74);
                padding: rem(0) rem(24);
                font-size: rem(40);
                max-width: 100%;
                box-sizing: border-box;

                &::placeholder {
                    color: var(--white)
                }
            }

        }

        .step-border {
            padding-bottom: rem(56);
            margin-bottom: rem(56);
            border-bottom: rem(1) solid var(--border-color);

            &:last-child,
            &:nth-last-child(2) {
                margin-bottom: 0;
                border-bottom: 0;
            }

        }

        .step-border-rule {
            padding-bottom: rem(56);
            margin-bottom: rem(56);
            border-bottom: rem(1) solid var(--border-color);
        }

        .step-spacer {
            padding-bottom: rem(56);
            display: flex;
            gap: rem(24);
            flex-direction: column;
        }

        .step-default{
            margin-bottom: rem(72);
        }

    }

    &-boxs-wrapper {

        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        gap: rem(12);
        margin-top: rem(12);
        margin-bottom: rem(12);

        .col {
            flex: calc(50% - 40px);
            flex-grow: inherit;
        }

        .col-100 {
            flex: 100%;
        }

        &.modal-2-col{
            .modal-input{
                margin-bottom: 56px;
            }
        }

    }

    &-box {
        padding: rem(24);
        display: flex;
        gap: rem(12);
        flex-direction: column;
        border-radius: rem(16);
        border: 1px solid rgba($color: #857FE4, $alpha: 0.40);

        position: relative;
        min-height: rem(100);

        h3 {
            font-size: rem(14);
            color: var(--color-default-1);
            font-family: $font;
            font-weight: 500;

            sup {
                color: var(--white);
                vertical-align: super;
                font-size: rem(10);
            }
        }

        p {
            font-family: $font;
            font-weight: 400;
            font-size: rem(13);
            line-height: 1.5em;
            color: var(--color-default-1);
        }

        &-search {
            width: 100%;
            display: flex;
            align-items: center;
            justify-content: space-between;
            gap: rem(8);

            .search-wrapper {
                position: relative;

                &::before {
                    font-size: rem(16);
                    position: absolute;
                    top: rem(16);
                    left: rem(16);
                    margin: auto;
                    content: "\e90c";
                    color: var(--color-default-1);
                    font-family: "icomoon" !important;
                    z-index: -1;
                }

                input {
                    width: rem(48);
                    height: rem(48);
                    padding: rem(15) 0;
                    cursor: pointer;
                    transition: all 0.3s ease-in-out;

                    &:focus {
                        width: rem(200);
                        padding: rem(15) rem(16) rem(15) rem(40);
                    }
                }

                .input-search{
                    font-size: rem(14);
                }
            }
        }

        &-checkbox-list {
            display: flex;
            flex-wrap: wrap;
            gap: rem(8);

            li {

                input {
                    display: none;
                }

                label {
                    font-size: rem(13);
                    font-family: $font;
                    font-weight: 400;
                    border: 1px solid rgba($color: #857FE4, $alpha: 0.2);
                    padding: rem(8) rem(16);
                    display: block;
                    border-radius: rem(40);
                    color: var(--color-default-1);
                    cursor: pointer;
                }

                input:checked+label {
                    background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
                    border-color: var(--color-default-1);
                    color: var(--white);
                }

                input:hover+label {
                    border-color: var(--color-default-1);
                }

                span {

                    height: rem(30);
                    line-height: rem(30);
                    font-size: rem(13);
                    color: var(--color-default-1);
                    cursor: pointer;

                    .add {
                        font-size: rem(10);
                    }

                    .arrow {
                        font-size: rem(8);
                        margin-left: rem(4);
                    }

                }

            }

            &-ball {

                li {

                    label {

                        position: relative;
                        padding-left: rem(30);

                        &::before {
                            content: "";
                            width: rem(6);
                            height: rem(6);
                            border-radius: 50%;
                            background-color: transparent;
                            border: 1px solid var(--color-default-1);
                            background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
                            position: absolute;
                            top: 0;
                            bottom: 0;
                            left: rem(12);
                            margin: auto;
                        }

                    }

                    input:checked+label {
                        background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
                        border-color: var(--color-default-1);
                        color: var(--white);

                        &::before {
                            background-color: var(--white);
                        }

                    }

                }

                &-big {

                    li {

                        label {
                            font-size: rem(24);
                            padding: rem(14) rem(32) rem(14) rem(50);
                            margin: 0;

                            &::before {
                                left: rem(24);
                                height: rem(10);
                                width: rem(10);
                            }

                        }
                    }

                }

            }

            &-full {
                li {
                    width: 100%;

                    &:last-child {
                        text-align: right;
                    }
                }
            }

        }

        // .modal-box {

        // width: calc(33.333% - rem(16));
        // position: relative;
        // flex-wrap: wrap;
        // flex-direction: row;
        // gap: rem(8);
        // border-color: rgba($color: #857FE4, $alpha: 0.40);

        &.text-input {

            label {

                width: 100%;
                line-height: 1em;
                min-height: 1em;
                font-size: 1rem;
                max-height: max-content;

                &::after {
                    content: '';
                    cursor: pointer;
                    position: absolute;
                    top: 0;
                    bottom: 0;
                    right: 0;
                    left: 0;
                    margin: auto;
                    content: "";
                    width: 1px;
                    height: 100%;
                    border: 0;
                    width: 100%;
                    height: 100%;
                }

            }

            input[type=text],
            input[type=password] {
                box-sizing: border-box;
                border: 0;
                min-width: 100%;
                background-color: transparent !important;
                padding: 0;

                &:hover,
                &:focus,
                &:active,
                &:focus-visible,
                &:focus-within {
                    background: transparent !important;
                    box-shadow: none;
                }

            }

            button {

                font-size: rem(13);
                font-family: $font;
                font-weight: 400;
                border: rem(1) solid rgba($color: #857FE4, $alpha: 0.20) !important;
                padding: rem(8) rem(16);
                display: flex;
                gap: rem(8);
                align-items: center;
                border-radius: rem(40);
                color: var(--color-default-1);
                background: transparent !important;
                max-width: max-content;
                height: max-content;
                box-shadow: 0;
                position: relative;
                z-index: 2;

                padding-left: rem(38);
                text-align: left;


                &::before {
                    content: '';
                    cursor: pointer;
                    background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
                    border: rem(1) solid var(--color-default-1);
                    position: relative;
                    width: rem(10);
                    height: rem(10);
                    border-radius: rem(10);
                    display: inline-block;
                    position: absolute;
                    top: 0;
                    bottom: 0;
                    left: rem(16);
                    margin: auto;
                }

                &.active,
                &:hover,
                &:focus {

                    border-color: var(--color-default-1) !important;

                    &::before {
                        background-color: var(--color-default-1);
                    }

                }

            }
        }

        // }

    }

    &-input {
        position: relative;

        .form-group-checkbox{
            display: flex;
            align-items: center;
            label{
                position: static !important;
            } 

            input {
                // display: none;
                height: rem(16);
                width: rem(16);
                z-index: 1;
            }

        }

        label {
            font-size: rem(14);
            color: var(--color-default-1);
            position: absolute;
            top: rem(23);
            left: rem(16);
        }

        input {
            box-sizing: border-box;
            font-size: rem(14) !important;
            width: 100% !important;
            height: rem(102);
            border-radius: rem(24) !important;
            padding: rem(60) rem(16) rem(32) rem(16) !important;
        }
    }

    .custom-select-input {
        position: relative;

        label {
            font-size: rem(14);
            color: var(--color-default-1);
            position: absolute;
            top: rem(23);
            left: rem(16);
        }

        input {
            border-radius: 0;
            font-size: rem(14) !important;
            padding: rem(60) rem(16) rem(16) rem(16) !important;
            border: none;
            background: transparent;

            &:focus {
                box-shadow: none;
            }
        }
    }

    .quality-wrapper {
        h3 {
            font-size: rem(32);
            line-height: 1.4em;
            margin-bottom: rem(45);
            font-weight: 300;
            padding-right: rem(50);
        }
    }

    .actions-permissions {
        display: flex;
        height: 100%;
        justify-content: flex-end;
        flex-direction: column;
        gap: rem(8);
        padding-left: rem(25);
    }

    .permissions-wrapper {

        &-top {
            display: flex;
            align-items: center;
            justify-content: space-between;
            margin-bottom: rem(20);

            .permission-title {
                font-size: rem(14);
                line-height: rem(21);
                font-weight: 400;
                color: var(--white);
            }
        }
    }


    &-list {

        display: flex;
        flex-direction: column;
        gap: rem(16);

        &-item {

            border: 1px solid rgba(133, 127, 228, 0.4);
            border-radius: rem(24);
            padding: rem(16);
            filter: drop-shadow(0px 8px 16px rgba(112, 144, 176, 0.12));

            .item-title {
                display: flex;
                gap: rem(10);
                align-items: center;
                position: relative;
                padding-right: rem(45);

                label {
                    margin: 0;
                }

                i {
                    font-size: rem(9);
                    width: rem(24);
                    height: rem(24);
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    position: absolute;
                    right: 0;
                    top: 0;
                    bottom: 0;
                }

            }

            .list {
                padding-top: 0;
                height: 0;
                opacity: 0;
                visibility: hidden;
                overflow: hidden;
                transition: all 0.3s ease;
            }

            &.active {
                .list {
                    padding-top: rem(12);
                    height: auto;
                    opacity: 1;
                    visibility: visible;
                }
            }

        }
    }

    &-buttons-area {
        position: absolute;
        right: rem(16);
        bottom: rem(16);

        .button-secondary {
            margin-top: rem(8);
        }
    }

}

.buttons-list {

    ul {
        display: flex;
        flex-wrap: nowrap;
        gap: rem(10);

        li {

            width: 100%;

            a,
            button {
                height: rem(47);
                line-height: rem(47);
                width: 100%;
                display: flex;
                border-radius: rem(47);
                padding-left: rem(16);
                background-color: var(--cards-folder-background);
                color: var(--black);
                text-decoration: none;
                position: relative;
                font-size: rem(12);
                font-family: $font;
                gap: rem(8);
                align-items: center;

                span {
                    font-size: rem(16);
                }

                i {
                    position: absolute;
                    top: 0;
                    bottom: 0;
                    right: rem(16);
                    margin: auto;
                    height: rem(14);
                    width: rem(14);
                    font-size: rem(14);
                    color: var(--recent-grey-title);
                }

                &.active {
                    i {
                        width: rem(14);
                    }
                }

                &.active,
                &:hover {
                    background-color: var(--pagination-active);
                    color: var(--white);

                    i {
                        color: var(--white);
                    }
                }

            }

        }

    }

}

.permission-top {

    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: rem(35);

}

.top-filters {
    padding-bottom: rem(32);
    border-bottom: rem(1) solid var(--modal-input-border);
}

.database-tab-nav {
    display: flex;
    width: 100%;
    align-items: center;
    border-bottom: 1px solid rgba($color: #FFF, $alpha: 0.10);
    margin-bottom: rem(48);

    .database-tab-item {
        padding: rem(24) 0;
        font-weight: 600;
        font-size: rem(14);
        line-height: rem(21);
        color: var(--color-default-1);
        transition: all 0.3s ease-in-out;
        margin-left: rem(80);
        position: relative;
        cursor: pointer;

        &::before {
            content: "";
            position: absolute;
            bottom: 0;
            left: 0;
            width: 100%;
            height: rem(1);
            background: var(--color-hover-icon);
            transition: all 0.3s ease-in-out;
            opacity: 0;

            &.active {
                opacity: 1;
            }
        }

        &.active {
            color: var(--white);

            &::before {
                opacity: 1;
            }
        }

        &:first-child {
            margin-left: 0;
        }
    }
}

.database-tab-area {

    .tab-content {
        display: none;

        &.active {
            display: block;
        }
    }

    .label {
        color: var(--color-default-1);
    }

    .field-database {
        margin-bottom: rem(32);
    }

    .previous-database-connection {
        display: none;
        opacity: 0.3;
        margin-top: rem(56);

        &.show {
            display: block;
        }
    }
}

.confirmation-wrapper {
    &-info {
        display: flex;
        align-items: center;
        gap: rem(48);
        margin-bottom: rem(48);
        font-size: rem(13);
        line-height: rem(19);


        &-title {
            color: var(--white);
        }

        &-value {
            color: var(--color-default-1);
            margin-top: rem(12);
        }
    }

    &-values {
        display: flex;
        align-items: center;
        gap: rem(23);
        margin-top: rem(48);
    }

    .button-secondary {
        margin-top: rem(84);
    }
}


.modal {

    &.mini-modal {
        max-width: rem(610);
        max-height: fit-content;
        display: flex;
        align-items: center;
        padding: rem(90) rem(80);

        .d-flex {
            display: flex;
            justify-content: center;
            gap: rem(24);
        }


        .warning {
            height: rem(48);
            width: rem(48);
            background-image: url('@/assets/images/warning.svg');
            background-repeat: no-repeat;
            background-position: center;
            background-size: contain;
            display: block;
        }

        .buttons-wrapper {
            display: flex;
            gap: rem(8);
            padding-top: rem(80);
        }

        h2 {
            font-size: rem(24);
            font-weight: 300;
            color: var(--white);
            line-height: 1.2em;
            margin-bottom: rem(24);
        }

        p {
            font-size: rem(13);
            font-weight: 400;
            color: var(--color-default-1);
            line-height: 1.6em;

            b {
                color: var(--color-hover-icon);

                span {
                    color: var(--white);
                }

            }
        }

        .error-icon{
            width: 24px;
            height: 24px;
            background: radial-gradient(85.42% 85.42% at 50% 50%, rgba(255, 15, 0, 0.8) 0%, rgba(169, 10, 0, 0.8) 100%);
            border-radius: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
            border: 1px solid #F7451E;

            i{
               font-size: 10px;
               color: #FFFFFF; 
            }
        }

        .success-area{
            display: flex;
            align-items: center;
            gap: 24px;
        }

        .success-icon{
            width: 48px;
            height: 48px;
            background: radial-gradient(85.42% 85.42% at 50% 50%, rgba(14, 169, 48, 0.8) 0%, rgba(11, 124, 36, 0.8) 100%);
            border-radius: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
            border: 1px solid #20F14E;

            i{
                width: 7px;
                height: 12px;
                border: solid var(--white);
                border-width: 0 2px 2px 0;
                transform: rotate(45deg);
                position: relative;
            }
        }

        .feedback-message, .feedback-message p{
            font-size: 24px;
            line-height: 28px;
            font-weight: 300;
            color: #FFFFFF;
        }

        .mini-modal-highlight{
            font-weight: bold;

            &.error{
                color: red;
            }

            &.success{
                color: green;
            }
        }

        .error-block{
            width: 100%;
            border-radius: 8px;
            padding: 24px;
            border: 1px solid #4C42CB;
            box-shadow: 0px 24px 24px 0px #0000003D;
            margin-top: 24px;

            .error-icon{
                width: 24px;
                height: 24px;
                background: radial-gradient(85.42% 85.42% at 50% 50%, rgba(255, 15, 0, 0.8) 0%, rgba(169, 10, 0, 0.8) 100%);
                border-radius: 100%;
                display: flex;
                align-items: center;
                justify-content: center;
                border: 1px solid #F7451E;

                i{
                   font-size: 10px;
                   color: #FFFFFF; 
                }
            }

            .error-title{
                margin-top: 16px;
                font-size: rem(13);
                line-height: rem(20);
                font-weight: 400;
                color: #FFFFFF;

                span{
                    color: #F7451E;
                }
            }

            .error-text{
                font-size: rem(13);
                line-height: rem(20);
                font-weight: 400;
                color: var(--color-default-1);
            }
        }

    }

    .form-switch{
        input[type=checkbox]{
            height: 0;
            width: 0;
            visibility: hidden;
            position: absolute;
        }
        
        label {
            cursor: pointer;
            text-indent: -9999px;
            width: 42px;
            height: 22px;
            background: transparent;
            display: block;
            border-radius: 16px;
            position: relative;
            margin-right: 55px;
            border: 1px solid var(--color-default-2);

            &:after {
                content: '';
                position: absolute;
                top: 1px;
                left: 2px;
                width: 18px;
                height: 18px;
                background: var(--color-default-2);
                border-radius: 200px;
                transition: 0.3s;
            }

            &::before{
                content: "Disable";
                position: absolute;
                top: 0;
                right: -55px;
                font-size: 14px;
                line-height: 19px;
                font-weight: 600;
                width: 55px;
                height: 22px;
                color: var(--color-default-1);
                text-indent: initial;
                text-align: right;
                z-index: 1;
            }
        }
        
        
        input:checked + label {
            border-color: var(--color-hover-icon);

            &::after{
                background: var(--color-hover-icon);
            }

            &::before{
                content: "Enable";
                color: var(--color-hover-icon);
            }
        }
        
        input:checked + label:after {
            left: calc(100% - 2px);
            transform: translateX(-100%);
        }
        
        label:active:after {
            width: 18px;
        }
    }

    .rule-item{
        .rule-profiling{
            padding-left: 4.5rem;
            display: flex;
            justify-content: flex-start;
            align-items: center;
            gap: 24px;
            margin-bottom: 40px;

            &-text{
                font-size: 13px;
                line-height: 20px;
                color: var(--color-default-1);
            }
        }

        &-line{

            &-add{
                margin-bottom: 20px;
            }

            &__number{
                font-size: 10px;
                line-height: 10px;
                color: var(--color-default-2);
            }
            
        }

        .row-rule{
            display: flex;
            align-items: center;
            flex-wrap: nowrap;
        }

        .dropdown {
            width: calc(100% - 16px);
            border: 1px solid rgba(133, 127, 228, 0.2);
            padding: 16px 12px 16px 20px;
            border-radius: 16px;
            position: absolute;
            top: 0;
            left: 8px;
            z-index: 100;
            transition: all 0.3s ease-in-out;

            .label {
                font-size: 14px;
                line-height: 19px;
                color: var(--color-default-1);
                display: block;
                font-weight: 600;
            }

            .value{
                font-size: 14px;
                line-height: 19px;
                color: var(--color-default-1);
                display: block;
                font-weight: 400;
                margin-top: 8px;

                .symbol{
                    margin-right: 15px;
                }
            }

            .dropdown-toggle {
                background-color: transparent;
                border: none;
                cursor: pointer;
                position: absolute;
                top: 16px;
                right: 12px;
                transform: rotate(0deg);
                transition: all 0.3s ease-in-out;

                i{
                    font-size: 10px;
                    color: var(--color-default-2);
                }
            }

            .menu {
                margin-top: 16px;

                &-item{
                    position: relative;
                    display: block;
                    width: 100%;
                    margin: 5px 0;
                    padding: 8px 0;
                    text-align: left;
                    cursor: pointer;

                    button{
                        font-size: 14px;
                        line-height: 19px;
                        color: var(--color-default-1);
                        font-weight: 400;
                        background: transparent;
                        border: none;
                        padding: 0;
                        margin: 0;
                        display: flex;
                        align-items: center;
                    }

                    .symbol{
                        font-size: 14px;
                        line-height: 19px;
                        color: var(--color-default-1);
                        font-weight: 400;
                        width: 25px;
                        display: flex;
                    }

                    &::before{
                        content: "";
                        position: absolute;
                        right: 0.1875rem;
                        top: 0.8125rem;
                        width: 0.25rem;
                        height: 0.625rem;
                        border: solid var(--color-default-1);
                        border-width: 0 1px 1px 0;
                        transform: rotate(45deg);
                        top: 11px;
                        right: 2px;
                        opacity: 0;
                        transition: all 0.3s ease-in-out;
                    }

                    &.submenu{
                        &::before{
                            content: "";
                            display: inline-block;
                            transform: rotate(45deg);
                            height: 10px;
                            width: 6px;
                            border-bottom: 1px solid var(--color-default-1);
                            border-right: 1px solid var(--color-default-1);
                            top: 10px;
                        }
                    }

                    &.selected{
                        button{
                            color: var(--white);
                        }

                        &::before{
                            border-color: var(--color-hover-icon);
                            opacity: 1;
                        }
                    }

                    &:hover{
                        button{
                            color: var(--white);
                        }

                        &::before{
                            opacity: 1;
                        }
                        
                    }
                }
            }

            .back-button{
                position: relative;
                display: block;
                width: 100%;
                margin: 5px 0 5px 5px;
                padding: 8px 0 8px 16px;
                text-align: left;
                cursor: pointer;
                background: transparent;
                border: none;
                font-size: 12px;
                line-height: 19px;
                color: var(--color-default-1);
                font-weight: 400;

                
                &::before{
                    font-family: 'icomoon' !important;
                    content: "\e918";
                    font-size: 10px;
                    color: var(--color-default-1);
                    position: absolute;
                    top: 8px;
                    left: 0;
                }
            }

            &:hover, &.open{
                border-color: var(--color-default-2);

                .dropdown-toggle{
                    transform: rotate(180deg);
                }

                .value{
                    color: var(--white);
                }
            }

            &.open{
                background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);

                .label{
                    color: var(--white);
                }

                .dropdown-toggle i{
                    color: var(--white);
                }
            }
        }

        .first-col{
            width: 105px;
        }

        .operands-col{
            flex: 0 0 auto;
            width: 30%;
            position: relative;
            height: 80px;
        }

        .operant-col{
            flex: 0 0 auto;
            width: 25%;
            position: relative;
            height: 80px;
        }

        .delete-col{
            flex: 0 0 auto;
            width: 6%;
        }

        .rule-operator{
            position: relative;
            padding: 4px 8px;
            height: 28px;
            border-radius: 20px;
            background: transparent;
            width: fit-content;
            gap: 4px;
            display: flex;
            align-items: center;
            transition: all 0.3s ease-in;

            &::after{
                content: "";
                width: 100%;
                height: 28px;
                border-radius: 20px;
                background: linear-gradient(90deg, rgba(2,0,36,1) 0%, rgba(9,9,121,1) 0%, rgba(212,39,255,1) 0%);
                position: absolute;
                top: 0;
                margin: 0 auto;
                left: 0;
                right: 0;
                z-index: -1;
                transition: all 0.3s ease-in;
                transform: scale(1);
                transform-origin: center;
            }

            &:hover{
                &::after{
                    transform: scale(1.1);
                    background: radial-gradient(50% 50% at 50% 50%, #E56EFF 0%, #D427FF 100%);
                } 
            }
            
            &-line{
                width: 100%;
                margin: 5px 0 10px 0;
            }

            &-col{
                display: flex;
                justify-content: center;
                position: relative;

                &::before{
                    content: "";
                    width: 63px;
                    height: 45px;
                    position: absolute;
                    top: -45px;
                    right: -11px;
                    border-left: 1px solid var(--pink);
                    border-top: 1px solid var(--pink);
                    border-top-left-radius: 8px;
                    background: transparent;
                }

                &::after{
                    content: "";
                    width: 6px;
                    height: 6px;
                    position: absolute;
                    top: -47px;
                    right: -15px;
                    background: var(--pink);
                    border-radius: 100%;
                }

                &.and{
                    &::before{
                        border-color: var(--yellow);
                    }
    
                    &::after{
                        background: var(--yellow);
                    }
                    
                    .rule-operator{
        
                        &::after{
                            background: linear-gradient(90deg, rgba(2,0,36,1) 0%, rgba(9,9,121,1) 0%, rgba(226,211,92,1) 0%);
                        }
            
                        &:hover{
                            &::after{
                                background: radial-gradient(50% 50% at 50% 50%, #FFFAD6 0%, #E2D35C 100%);
                            } 
                        }
                    }
                }
            }

            .operator-text{
                font-size: 13px;
                color: #0F0B47;
                font-weight: 700;
                text-transform: uppercase;
            }

            i{
                font-size: 8px;
                color: #0F0B47;
            }
        }

        .rule-plus-col{
            position: relative;
            display: flex;
            align-items: center;
            gap: 18px;

            .plus-rule{
                position: relative;
                width: 20px;
                height: 20px;
                border-radius: 31px;
                display: flex;
                align-items: center;
                justify-content: center;

                i{
                    color: #0E0A45;
                    font-size: 10px;
                }

                &::before{
                    content: "";
                    width: 55px;
                    height: 1px;
                    background: var(--pink);
                    position: absolute;
                    top: 10px;
                    right: -55px;
                }

                &::after{
                    content: "";
                    width: 20px;
                    height: 20px;
                    border-radius: 31px;
                    background: radial-gradient(50% 50% at 50% 50%, #E56EFF 0%, #D427FF 100%);
                    position: absolute;
                    top: 0;
                    margin: 0 auto;
                    left: 0;
                    right: 0;
                    z-index: -1;
                    transition: all 0.3s ease-in;
                    transform: scale(1);
                    transform-origin: center;
                }
    
                &:hover{
                    &::after{
                        transform: scale(1.1);
                    } 
                }
            }

            &::before{
                content: "";
                width: 1px;
                height: 80px;
                background: var(--pink);
                position: absolute;
                top: -80px;
                left: 0;
                right: 0;
                margin: 0 auto;
                z-index: -1;
            }

            &::after{
                content: "";
                width: 6px;
                height: 6px;
                position: absolute;
                top: 8px;
                right: -15px;
                background: var(--pink);
                border-radius: 100%;
            }

            &.and{
                .plus-rule{
                    &::after{
                        background: radial-gradient(50% 50% at 50% 50%, #FFFAD6 0%, #E2D35C 100%);
                    }

                    &::before{
                        background: var(--yellow);
                    }
                }

                &::before{
                    background: var(--yellow);
                }

                &::after{
                    background: var(--yellow);
                }
            }
        }
    }

    .rules-values{
        &-area{
            width: 100%;
            margin-top: 40px;
            padding-top: 40px;
            border-top: 1px solid rgba(133, 127, 228, 0.2);
            padding-left: 108px;
        }

        &-item{
            display: flex;
            align-items: center;
            gap: 24px;
            margin-bottom: 14px;
        }

        &-text{
            font-size: 12px;
            line-height: 20px;
        }

        &-input{
            width: 264px;
            position: relative;

            input{
                width: 100%;
                border-radius: 16px;
                font-size: 14px;
                line-height: 14px;
            }

            .tooltip{
                position: absolute;
                top: 16px;
                right: 12px;
            }
        }
    }
}

.no-results-message{
    text-align: center;
    margin: 40px 10px;
}

.is-hidden {
    display: none;
}

.tooltip{
    &-btn{
        width: 15px;
        height: 15px;
        border: 1px solid var(--color-default-1);
        border-radius: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 8px;
        line-height: 1;
        color: var(--color-default-1);
        cursor: pointer;
        transition: all 0.3s ease-in-out;

        &:hover{
            border-color: var(--white);
            color: var(--white);
        }
    }


    &-content{
        min-width: 227px;
        height: auto;
        border-radius: 16px;
        border: 1px solid var(--color-default-2);
        box-shadow: 0px 8px 16px 0px #7090B01F;
        padding: 19px 16px;
        background: #272362;

        display: block;
        left: -50%;
        transform: translateY(10px);
        bottom: 100%;
        margin-bottom: 15px;
        opacity: 0;
        position: absolute;
        transform: translateY(10px);
        transition: all .25s ease-out;
    }

    &-title{
        font-size: 14px;
        line-height: 19px;
        color: var(--color-default-1);
        margin-bottom: 16px;
    }

    &-text{
        font-size: 13px;
        line-height: 18px;
        color: var(--white);
    }

    &:hover{
        .tooltip-content{
            opacity: 1;
            transform: translateY(0);
        }
    }
}